Update automation
curl --request PATCH \
--url https://{instance}/api/v1/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"conditions": "<unknown>",
"actions": [
{
"config": {},
"continueOnError": false
}
],
"maxRunsPerMinute": 5000,
"maxExternalActionsPerMinute": 5000,
"circuitBreakerThreshold": 50,
"circuitBreakerCooldownSeconds": 43215
}
'import requests
url = "https://{instance}/api/v1/automations/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"enabled": True,
"conditions": "<unknown>",
"actions": [
{
"config": {},
"continueOnError": False
}
],
"maxRunsPerMinute": 5000,
"maxExternalActionsPerMinute": 5000,
"circuitBreakerThreshold": 50,
"circuitBreakerCooldownSeconds": 43215
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
enabled: true,
conditions: '<unknown>',
actions: [{config: {}, continueOnError: false}],
maxRunsPerMinute: 5000,
maxExternalActionsPerMinute: 5000,
circuitBreakerThreshold: 50,
circuitBreakerCooldownSeconds: 43215
})
};
fetch('https://{instance}/api/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"enabled": true,
"triggerEvent": "<string>",
"trigger": "<unknown>",
"conditions": "<unknown>",
"actions": "<unknown>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionVersion": 123,
"approvalRequestedAt": "<string>",
"approvedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvedAt": "<string>",
"publishedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"maxRunsPerMinute": 123,
"maxExternalActionsPerMinute": 123,
"circuitBreakerThreshold": 123,
"circuitBreakerCooldownSeconds": 123,
"circuitOpenUntil": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"meta": {
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"limit": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Automations
Update automation
PATCH
/
api
/
v1
/
automations
/
{id}
Update automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 120Maximum string length:
2000Show child attributes
Show child attributes
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Required range:
1 <= x <= 10000Required range:
1 <= x <= 10000Required range:
1 <= x <= 100Required range:
30 <= x <= 86400⌘I